# lugins/osg/ClipPlane.cpp File Reference

`#include "osg/ClipPlane"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/ClipPlane.cpp:

## Functions

bool | ClipPlane_readLocalData (Object &obj, Input &fr)
bool | ClipPlane_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_ClipPlaneProxy (new osg::ClipPlane,"ClipPlane","Object StateAttribute ClipPlane",&ClipPlane_readLocalData,&ClipPlane_writeLocalData)

## Function Documentation

bool ClipPlane_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ClipPlane_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ClipPlaneProxy(new osg::ClipPlane,"ClipPlane","Object StateAttribute ClipPlane",&ClipPlane_readLocalData,&ClipPlane_writeLocalData)